Index: cpp/gdk/neuroimpl.h
===================================================================
--- cpp/gdk/neuroimpl.h	(revision 45)
+++ cpp/gdk/neuroimpl.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _NEUROIMPL_H_
@@ -195,4 +195,5 @@
 /** originating neuron object (from the model) */
 Neuro *neuro;
+NeuroClass *neuroclass;
 /** don't access directly */
 double newstate;
@@ -294,4 +295,5 @@
 PARAMGETDEF(fields);
 PARAMGETDEF(neurodef);
+PARAMGETDEF(classObject);
 #undef STATRICKCLASS
 };
Index: cpp/gdk/neuroimplfiles.h
===================================================================
--- cpp/gdk/neuroimplfiles.h	(revision 45)
+++ cpp/gdk/neuroimplfiles.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #include "neuroimpl-simple.h"
Index: cpp/gdk/neurolibrary.cpp
===================================================================
--- cpp/gdk/neurolibrary.cpp	(revision 45)
+++ cpp/gdk/neurolibrary.cpp	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #include "neurolibrary.h"
Index: cpp/gdk/neurolibrary.h
===================================================================
--- cpp/gdk/neurolibrary.h	(revision 45)
+++ cpp/gdk/neurolibrary.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _NILIBRARY_H_
Index: cpp/gdk/neurotest.cpp
===================================================================
--- cpp/gdk/neurotest.cpp	(revision 45)
+++ cpp/gdk/neurotest.cpp	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #include "geno.h"
Index: cpp/gdk/nonstd.h
===================================================================
--- cpp/gdk/nonstd.h	(revision 45)
+++ cpp/gdk/nonstd.h	(revision 64)
@@ -1,6 +1,2 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
-
 //Define rnd01, rnd0N, and randomN so that they
 //work in your C++ environment.
@@ -96,3 +92,7 @@
 #endif
 
+#ifdef DEFINE_STRICMP_AS_STRCASECMP
+#define stricmp(a,b) strcasecmp(a,b)
 #endif
+
+#endif
Index: cpp/gdk/nonstd_io.h
===================================================================
--- cpp/gdk/nonstd_io.h	(revision 45)
+++ cpp/gdk/nonstd_io.h	(revision 64)
@@ -1,10 +1,6 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
-
 // int access(const char *pathname, int mode);
 #ifdef _Windows
  #include <dir.h> 
- #include <io.h> //include io.h przed dir.h powoduje ze w simul.h nie poznaje klasy SimWorld - szokujacy i niewyjasniony blad.
+ #include <io.h> //include io.h przed dir.h powoduje ze w simul.h nie poznaje klasy SimWorld - szokujacy i niewyjasniony blad. co wiecej w projekcie GUI go nie ma a w CLI jest - moze wplyw tych globalnych definicji typu NOVCL, NO_STRICT itp?
  #define makeDirectory(name) mkdir(name) 
 #else
Index: cpp/gdk/param.cpp
===================================================================
--- cpp/gdk/param.cpp	(revision 45)
+++ cpp/gdk/param.cpp	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #include <stdio.h>
Index: cpp/gdk/param.h
===================================================================
--- cpp/gdk/param.h	(revision 45)
+++ cpp/gdk/param.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _PARAM_H_
Index: cpp/gdk/paramobj.cpp
===================================================================
--- cpp/gdk/paramobj.cpp	(revision 45)
+++ cpp/gdk/paramobj.cpp	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #include "paramobj.h"
Index: cpp/gdk/paramobj.h
===================================================================
--- cpp/gdk/paramobj.h	(revision 45)
+++ cpp/gdk/paramobj.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _PARAMOBJ_H_
Index: cpp/gdk/paramtabobj.cpp
===================================================================
--- cpp/gdk/paramtabobj.cpp	(revision 45)
+++ cpp/gdk/paramtabobj.cpp	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #include "paramtabobj.h"
Index: cpp/gdk/paramtabobj.h
===================================================================
--- cpp/gdk/paramtabobj.h	(revision 45)
+++ cpp/gdk/paramtabobj.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _PARAMTABOBJ_H_
Index: cpp/gdk/printconvmap.cpp
===================================================================
--- cpp/gdk/printconvmap.cpp	(revision 45)
+++ cpp/gdk/printconvmap.cpp	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #include "printconvmap.h"
Index: cpp/gdk/printconvmap.h
===================================================================
--- cpp/gdk/printconvmap.h	(revision 45)
+++ cpp/gdk/printconvmap.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _PRINTCONVMAP_H_
Index: cpp/gdk/sstring.cpp
===================================================================
--- cpp/gdk/sstring.cpp	(revision 45)
+++ cpp/gdk/sstring.cpp	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 
Index: cpp/gdk/sstring.h
===================================================================
--- cpp/gdk/sstring.h	(revision 45)
+++ cpp/gdk/sstring.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _SSTRING_H_
Index: cpp/gdk/sstringutils.cpp
===================================================================
--- cpp/gdk/sstringutils.cpp	(revision 45)
+++ cpp/gdk/sstringutils.cpp	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #include "sstringutils.h"
@@ -233,2 +233,15 @@
 }
 
+SString trim(SString& s)
+{
+const unsigned char*b=(const unsigned char*)(const char*)s;
+const unsigned char*e=b+s.len();
+while((b<e)&&(*b<=' ')) b++;
+while((b<e)&&(e[-1]<=' ')) e--;
+if ((e-b)==s.len()) return s;
+SString newstring;
+char* t=newstring.directWrite();
+memmove(t,b,e-b);
+newstring.endWrite(e-b);
+return newstring;
+}
Index: cpp/gdk/sstringutils.h
===================================================================
--- cpp/gdk/sstringutils.h	(revision 45)
+++ cpp/gdk/sstringutils.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _SSTRINGUTILS_H_
@@ -25,4 +25,6 @@
 void strSetField(SString& txt,const SString& name,const SString& value);
 
+SString trim(SString& s); //remove leading/trailing whitespace
+
 #endif
 
Index: cpp/gdk/statrick.h
===================================================================
--- cpp/gdk/statrick.h	(revision 45)
+++ cpp/gdk/statrick.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _STATRICK_H_
Index: cpp/gdk/stdiofile-autoinit.cpp
===================================================================
--- cpp/gdk/stdiofile-autoinit.cpp	(revision 45)
+++ cpp/gdk/stdiofile-autoinit.cpp	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #include "stdiofile.h"
Index: cpp/gdk/stdiofile.cpp
===================================================================
--- cpp/gdk/stdiofile.cpp	(revision 45)
+++ cpp/gdk/stdiofile.cpp	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #include "stdiofile.h"
Index: cpp/gdk/stdiofile.h
===================================================================
--- cpp/gdk/stdiofile.h	(revision 45)
+++ cpp/gdk/stdiofile.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _STDIOFILE_H_
Index: cpp/gdk/stdouterr.cpp
===================================================================
--- cpp/gdk/stdouterr.cpp	(revision 45)
+++ cpp/gdk/stdouterr.cpp	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #include "stdouterr.h"
Index: cpp/gdk/stdouterr.h
===================================================================
--- cpp/gdk/stdouterr.h	(revision 45)
+++ cpp/gdk/stdouterr.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _STDOUTERRORHANDLER_H_
Index: cpp/gdk/syntparam.cpp
===================================================================
--- cpp/gdk/syntparam.cpp	(revision 45)
+++ cpp/gdk/syntparam.cpp	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #include "nonstd.h"
Index: cpp/gdk/syntparam.h
===================================================================
--- cpp/gdk/syntparam.h	(revision 45)
+++ cpp/gdk/syntparam.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _SYNTPATAM_H_
Index: cpp/gdk/usertags.h
===================================================================
--- cpp/gdk/usertags.h	(revision 45)
+++ cpp/gdk/usertags.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _USERTAGS_H_
Index: cpp/gdk/virtfile.cpp
===================================================================
--- cpp/gdk/virtfile.cpp	(revision 45)
+++ cpp/gdk/virtfile.cpp	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #include "virtfile.h"
Index: cpp/gdk/virtfile.h
===================================================================
--- cpp/gdk/virtfile.h	(revision 45)
+++ cpp/gdk/virtfile.h	(revision 64)
@@ -1,5 +1,5 @@
-// This file is a part of Framsticks GDK library.
-// Copyright (C) 2002-2006  Szymon Ulatowski.  See LICENSE.txt for details.
-// Refer to http://www.frams.alife.pl/ for further information.
+// This file is a part of the Framsticks GDK library.
+// Copyright (C) 2002-2011  Szymon Ulatowski.  See LICENSE.txt for details.
+// Refer to http://www.framsticks.com/ for further information.
 
 #ifndef _VIRTFILE_H_
Index: cpp/geno_fx/geno_ftest.cpp
===================================================================
--- cpp/geno_fx/geno_ftest.cpp	(revision 45)
+++ cpp/geno_fx/geno_ftest.cpp	(revision 64)
@@ -1,4 +1,4 @@
-// This file is a part of Framsticks GenoFX library.
-// Copyright (C) 2002-2009  Maciej Komosinski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GenoFX library.
+// Copyright (C) 2002-2011  Maciej Komosinski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/geno_fx/geno_ftest.h
===================================================================
--- cpp/geno_fx/geno_ftest.h	(revision 45)
+++ cpp/geno_fx/geno_ftest.h	(revision 64)
@@ -1,4 +1,4 @@
-// This file is a part of Framsticks GenoFX library.
-// Copyright (C) 2002-2009  Maciej Komosinski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GenoFX library.
+// Copyright (C) 2002-2011  Maciej Komosinski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
Index: cpp/geno_fx/geno_fx.cpp
===================================================================
--- cpp/geno_fx/geno_fx.cpp	(revision 45)
+++ cpp/geno_fx/geno_fx.cpp	(revision 64)
@@ -1,4 +1,4 @@
-// This file is a part of Framsticks GenoFX library.
-// Copyright (C) 2002-2009  Maciej Komosinski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GenoFX library.
+// Copyright (C) 2002-2011  Maciej Komosinski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
@@ -55,5 +55,5 @@
 double Geno_fx::mutateNeuProperty(double current,Neuro *n,int i)
 {
-   if (i==-1) return mutateCreepNoLimit('f',current,-10,10);
+   if (i==-1) return mutateCreepNoLimit('f',current,-10,10); //i==-1: mutating weight of neural connection
    ParamInterface *pi;
    if (i>=100) {i-=100; pi=&n->getClass()->getProperties();}
Index: cpp/geno_fx/geno_fx.h
===================================================================
--- cpp/geno_fx/geno_fx.h	(revision 45)
+++ cpp/geno_fx/geno_fx.h	(revision 64)
@@ -1,4 +1,4 @@
-// This file is a part of Framsticks GenoFX library.
-// Copyright (C) 2002-2009  Maciej Komosinski.  See LICENSE.txt for details.
+// This file is a part of the Framsticks GenoFX library.
+// Copyright (C) 2002-2011  Maciej Komosinski.  See LICENSE.txt for details.
 // Refer to http://www.framsticks.com/ for further information.
 
